Bug 1464092 - squashfs-tools version mismatch in yum and mksquashfs
squashfs-tools version mismatch in yum and mksquashfs
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: squashfs-tools (Show other bugs)
7.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jarod Wilson
qe-baseos-daemons
:
Depends On:
Blocks: 1420851
  Show dependency treegraph
 
Reported: 2017-06-22 08:15 EDT by Lukas Herbolt
Modified: 2017-08-03 03:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Herbolt 2017-06-22 08:15:15 EDT
There is a mismatch between version reported by yum and versin reported by tools itself.


[root@dell-r330-3 ~]# yum info squashfs-tools
Loaded plugins: changelog, product-id, search-disabled-repos, subscription-manager
Installed Packages
Name        : squashfs-tools
Arch        : x86_64
Version     : 4.3                  <<<<<<<<<<<<
Release     : 0.21.gitaae0aff4.el7
Size        : 214 k
Repo        : installed
From repo   : rhel-7-server-eus-rpms
Summary     : Utility for the creation of squashfs filesystems
URL         : http://squashfs.sourceforge.net/
Licence     : GPLv2+
Description : Squashfs is a highly compressed read-only filesystem for Linux.  This package
            : contains the utilities for manipulating squashfs filesystems.

[root@dell-r330-3 ~]# mksquashfs -version 
mksquashfs version 4.2-git-stable (2013/06/21)   <<<<<<<<<<<<
copyright (C) 2013 Phillip Lougher <phillip@squashfs.org.uk>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2,
or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.



Is it intended or some mistake.
Comment 3 Phillip Lougher 2017-07-26 23:25:22 EDT
I should first point-out that I was not involved in the packaging of Squashfs-tools for RHEL 7, or the Fedora package it is derived from.

Having said that, the apparent version discrepancy occurs because the code in RHEL 7 is a snap-shot of my "pre-release Squashfs-tools 4.3" taken from my upstream repository.  My version string in Mksquashfs reflects the fact it is 4.2-git, and not yet the final 4.3 release.

The packager evidently chose to label this "pre-release of Squashfs-tools 4.3" as 4.3.  This is where the apparent discrepancy arises.
Comment 5 Phillip Lougher 2017-07-27 14:31:47 EDT
BTW the changelog makes it clear labelling the pre-release as 4.3 was intentional.

The changelog is a precis of my upstream commits.

%changelog
* Wed Oct 08 2014 Jarod Wilson <jarod@redhat.com> - 4.3-0.21.gitaae0aff4
- Fix corruption of last block of squashed images (rhbz 1052175)

* Fri Jan 24 2014 Daniel Mach <dmach@redhat.com> - 4.3-0.20.gitaae0aff4
- Mass rebuild 2014-01-24

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 4.3-0.19.gitaae0aff4
- Mass rebuild 2013-12-27

* Sat Jun 22 2013 Bruno Wolff III <bruno@wolff.to> - 4.3-0.18.gitaae0aff4
- Latest pre 4.3 stable snapshot
- A few minor bug fixes
- Improvements in getting status info while running unsquashfs

* Tue Jun 04 2013 Bruno Wolff III <bruno@wolff.to> - 4.3-0.17.git5c6f0024
- Latest pre 4.3 snapshot
- Includes fix for mksquashfs hangs
- Switch to get pre-release updates from the stable branch at kernel.org

* Thu May 23 2013 Bruno Wolff III <bruno@wolff.to> - 4.3-0.16.git84d8ae5c
- Latest pre 4.3 snapshot
- Fix for a rare race condition

* Sun May 19 2013 Bruno Wolff III <bruno@wolff.to> - 4.3-0.15.git27d7c14b
- Latest pre 4.3 snapshot
- queue fragment and empty file buffers directly to main thread

* Wed May 15 2013 Bruno Wolff III <bruno@wolff.to> - 4.3-0.14.git8ce5585e
- Latest pre 4.3 snapshot
- Includes upstream bugfix introduced with the sequential queue change

* Sat May 11 2013 Bruno Wolff III <bruno@wolff.to> - 4.3-0.13.gitc2362556
- Latest pre 4.3 snapshot
- Sequential queue change

* Mon May 06 2013 Bruno Wolff III <bruno@wolff.to> - 4.3-0.12.git9353c998
- Latest pre 4.3 snapshot

* Sun Mar 31 2013 Bruno Wolff III <bruno@wolff.to> - 4.3-0.11.git8228a3e8
- Latest pre 4.3 snapshot
- SIGQUIT now displays the file being squashed

* Wed Mar 06 2013 Bruno Wolff III <bruno@wolff.to> - 4.3-0.10.git6a103792
- Latest pre 4.3 snapshot
- Pick up some more error handling improvements

* Sun Mar 03 2013 Kyle McMartin <kmcmarti@redhat.com>
- Move mksquashfs to /usr/sbin, as per UsrMove.

* Sun Mar 03 2013 Kyle McMartin <kmcmarti@redhat.com>
- Add mksquashfs.1 and unsquashfs.1 manpages from Debian.

* Mon Feb 18 2013 Bruno Wolff III <bruno@wolff.to> - 4.3-0.9.git3ec9c8f7
- Latest pre 4.3 snapshot
- Better error handling when space runs out

* Wed Feb 13 2013 Bruno Wolff III <bruno@wolff.to> - 4.3-0.8.gitca6a1c90
- Latest pre 4.3 snapshot
- New option to display compression options used
- Some error message improvements

* Fri Feb 01 2013 Bruno Wolff III <bruno@wolff.to> - 4.3-0.7.gitb10063a9
- Latest pre 4.3 snapshot
- More checks for bad data

* Sun Jan 13 2013 Bruno Wolff III <bruno@wolff.to> - 4.3-0.6.git6c0f229d
- Latest pre 4.3 snapshot
- Quote and backslash parsing for lexical analyzer

* Mon Dec 31 2012 Bruno Wolff III <bruno@wolff.to> - 4.3-0.5.gitc11af515
- Latest pre 4.3 snapshot
- A few memory leak fixes
- Additional checks for handling bad data

* Sun Dec 23 2012 Bruno Wolff III <bruno@wolff.to> - 4.3-0.4.git99a009c8
- Better checking of data in psuedo files

* Fri Dec 21 2012 Bruno Wolff III <bruno@wolff.to> - 4.3-0.3.git7ec6bd7a
- Better checking of data in sort, extract and exclude files
* Thu Dec 13 2012 Bruno Wolff III <bruno@wolff.to> - 4.3-0.2.git54719971
- Pick up a few more changes to better handle bad data

* Sat Dec 01 2012 Bruno Wolff III <bruno@wolff.to> - 4.3-0.1.git0be606be
- Pre-release of 4.3 to get early testing
- This update includes a bit of internal code infrastructure changes
- There are lots of fixes to better handle bad data
- The final release is expected sometime in December
- Until the release only the README doc file is available

* Sun Nov 25 2012 Bruno Wolff III <bruno@wolff.to> - 4.2-5
- Backported fix for bz 842460 (CVE-2012-4025)

Note You need to log in before you can comment on or make changes to this bug.